Library Version 18.1.40

DB_ENV->get_msgpfx()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_msgpfx()

    #include <db.h>

    void
    DB_ENV->get_msgpfx(DB_ENV *dbenv, const char **msgpfxp);

The `DB_ENV->get_msgpfx()` method returns the information prefix that appears before informational messages issued by Berkeley DB. This prefix is set using the DB_ENV->set_msgpfx() method.

The `DB_ENV->get_msgpfx()` method may be called at any time during the life of the application.

### Parameters

#### msgpfxp

The `DB_ENV->get_msgpfx()` method returns a reference to the informational prefix in msgpfxp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_msgfile() | Home | DB_ENV->get_open_flags()